Package org.drinkless.tdlib

# Class TdApi.ToggleChatHasProtectedContent

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ToggleChatHasProtectedContent

Enclosing class:
  `TdApi`

public static class TdApi.ToggleChatHasProtectedContent extends TdApi.Function<TdApi.Ok>
Changes the ability of users to save, forward, or copy chat content. Requires owner privileges in basic groups, supergroups and channels. Requires Telegram Premium to enable protected content in private chats. Not available in Saved Messages and private chats with bots or support accounts.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasProtectedContent`
  New value of hasProtectedContent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToggleChatHasProtectedContent()`
  Default constructor for a function, which changes the ability of users to save, forward, or copy chat content.
  `ToggleChatHasProtectedContent(long chatId, boolean hasProtectedContent)`
  Creates a function, which changes the ability of users to save, forward, or copy chat content.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### hasProtectedContent

    public boolean hasProtectedContent
    New value of hasProtectedContent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ToggleChatHasProtectedContent

    public ToggleChatHasProtectedContent()
    Default constructor for a function, which changes the ability of users to save, forward, or copy chat content. Requires owner privileges in basic groups, supergroups and channels. Requires Telegram Premium to enable protected content in private chats. Not available in Saved Messages and private chats with bots or support accounts.

    Returns `Ok`

  - ### ToggleChatHasProtectedContent

    public ToggleChatHasProtectedContent(long chatId, boolean hasProtectedContent)
    Creates a function, which changes the ability of users to save, forward, or copy chat content. Requires owner privileges in basic groups, supergroups and channels. Requires Telegram Premium to enable protected content in private chats. Not available in Saved Messages and private chats with bots or support accounts.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier.
      `hasProtectedContent` - New value of hasProtectedContent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR